
/* Size of video memory and other screen geometries */
#define VIDEOMEM_START     0xB0000
#define VIDEOMEM_END       0xB1FFF
#define VIDEO_LINELENGTH   (VIDEO_COLS*2)
#define VIDEO_COLS         80
#define VIDEO_ROWS         25
#define VIDEOSCREEN_SIZE   (VIDEO_ROWS*VIDEO_COLS*2)

/* Video controller ports */
#define video_port_reg     0x3b4
#define video_port_val     0x3b5
#define video_mode_reg     0x3b8
#define video_status       0x3ba
#define video_config       0x3ba

/* Control characters */
#define TAB_CHAR       '\t'
#define CR_CHAR        '\r'
#define NL_CHAR        '\n'
#define FF_CHAR        '\f'
#define BS_CHAR        8
#define DEL_CHAR       127
#define ESCAPE         27

/* Character attributes etc */
#define ATTR_NORMAL    0x10
#define ATTR_UNDERLINE 0x01
#define ATTR_BOLD      0x8F
#define ATTR_BLINK     0x80
#define TAB_SIZE       8

/* Card type detected */
#define MDA_CARD       1
#define HERCULES_CARD  2
#define HERCPLUS_CARD  3
#define INCOLOUR_CARD  4

/*
 * Uncomment this if you would rather have blinking characters
 * than reverse. (MDA cannot do both at the same time).
 */
/* #define DO_BLINK */

/*
 * If you are using kernel version 2.1 or greater you will
 * need to uncomment this below.
 *
 * One day I will do a configuration script for this. Sorry
 *
 */
/* #define KERNEL21 */
